@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
usb_device_dpram_t Struct Reference
Collaboration diagram for usb_device_dpram_t:
[legend]

## Data Structures

struct | usb_device_dpram_ep_ctrl
struct | usb_device_dpram_ep_buf_ctrl

## Data Fields

volatile uint8_t | setup_packet [8]
struct usb_device_dpram_t::usb_device_dpram_ep_ctrl | ep_ctrl [16 - 1]
struct usb_device_dpram_t::usb_device_dpram_ep_buf_ctrl | ep_buf_ctrl [16]
uint8_t | ep0_buf_a [0x40]
uint8_t | ep0_buf_b [0x40]
uint8_t | epx_data [4096u - 0x180]

The documentation for this struct was generated from the following file:

- include/hardware/structs/usb_dpram.h